Subject: Re: Kernel build error on BTFIDS vmlinux

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 18 Aug 2020 18:33:18 +0200

On Tue, 18 Aug 2020 15:45:43 +0200
Jiri Olsa <[email-masked]> wrote:

> On Tue, Aug 18, 2020 at 12:56:08PM +0200, Jiri Olsa wrote:
> > On Tue, Aug 18, 2020 at 11:14:10AM +0200, Jiri Olsa wrote:  
> > > On Tue, Aug 18, 2020 at 10:55:55AM +0200, Jesper Dangaard Brouer wrote:  
> > > > 
> > > > On latest DaveM net-git tree (06a4ec1d9dc652), after linking (LD vmlinux) the
> > > > "BTFIDS vmlinux" fails. Are anybody else experiencing this? Are there already a
> > > > fix? (just returned from vacation so not fully up-to-date on ML yet)
> > > > 
> > > > The tool which is called and error message:
> > > >   ./tools/bpf/resolve_btfids/resolve_btfids vmlinux
> > > >   FAILED elf_update(WRITE): invalid section alignment  
> > > 
> > > hi,
> > > could you send your .config as well?  
> > 
> > reproduced.. checking on fix  
> 
> I discussed this with Mark (cc-ed) it seems to be a problem
> with linker when dealing with compressed debug info data,
> which is enabled in your .config
> 
> it works for me when I disable CONFIG_DEBUG_INFO_COMPRESSED option

Thanks for finding this!
I confirm that disabling CONFIG_DEBUG_INFO_COMPRESSED fixed the issue.

> Mark will fix this upstream, meanwhile he suggested workaround
> we can do in resolve_btfids tool, that I'll try to send shortly

Great!
-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer